Update a task

View as Markdown

The assigned_to, date (either a date or a date-time), and is_complete fields may be updated on all tasks. If the task type is lead, the text field may also be modified.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Request

This endpoint expects an object.
agent_config_idstring or nullOptional
assigned_tostringOptional
contact_idstring or nullOptional
created_bystringOptional
datedatetime or dateOptional
due_datedatetime or dateOptional
is_completebooleanOptional
is_datelessbooleanOptional
lead_idstringOptional
organization_idstringOptional
priorityenumOptional
Allowed values:
resolutionenum or nullOptional
Allowed values:
textstringOptional

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error